Bug 1722672 - vSphere e2e storage test using cloud configuration in-correctly
Summary: vSphere e2e storage test using cloud configuration in-correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.0
Assignee: Christian Huffman
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-20 23:45 UTC by Abhinav Dahiya
Modified: 2020-05-13 21:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:51:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24478 None closed Bug 1722672: UPSTREAM: 82027: Enabled reading config files for vsphere e2e tests 2020-05-11 16:14:57 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:51:47 UTC

Description Abhinav Dahiya 2019-06-20 23:45:19 UTC
I was trying to turn on vsphere platform tests for e2e https://github.com/openshift/release/pull/4099

But, the rehearse job had a bunch of error for env not set: https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_release/4099/rehearse-4099-pull-ci-openshift-installer-master-e2e-vsphere/2can somebody

1. help me figure out what needs to passed and how..
2. why is this not done using the Provider in e2e, why are storage tests trying to do their own loading... for example Azure does it like https://github.com/openshift/origin/blob/d7a4539442e59eb8ccd4bdc8aca5eec731dd219d/vendor/k8s.io/kubernetes/test/e2e/framework/providers/azure/azure.go#L34

Turning on vSphere tests is a high priority for 4.1 as vSphere is part of the supported UPI platforms.

Comment 13 Wei Duan 2020-03-10 06:00:46 UTC
With Qin Ping's help, we verified as following:

$ ls
config  kubeconfig
[piqin@slave 1722672]$ docker run --rm -it -v `pwd`:/data:z  8bd2a5f4f16d sh 
sh-4.2# ls /data/
config	kubeconfig
sh-4.2# export KUBECONFIG=/data/kubeconfig
sh-4.2# export TEST_SUITE=openshift/conformance/parallel
sh-4.2# export TEST_PROVIDER='{"type":"vsphere", "cloud-config-file": "/data/config"}'
sh-4.2# openshift-tests run "${TEST_SUITE}" --provider "${TEST_PROVIDER}"
I0310 01:14:02.621176       7 test_context.go:419] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
started: (0/1/2289) "[Feature:Prometheus][Conformance] Prometheus when installed on the cluster [Top Level] [Feature:Prometheus][Conformance] Prometheus when installed on the cluster shouldn't report any alerts in firing state apart from Watchdog and AlertmanagerReceiversNotConfigured [Early] [Suite:openshift/conformance/parallel/minimal]"

started: (0/2/2289) "[Feature:Platform][Early] Managed cluster should [Top Level] [Feature:Platform][Early] Managed cluster should start all core operators [Suite:openshift/conformance/parallel]"

passed: (1m9s) 2020-03-10T01:15:12 "[Feature:Platform][Early] Managed cluster should [Top Level] [Feature:Platform][Early] Managed cluster should start all core operators [Suite:openshift/conformance/parallel]"

Comment 15 errata-xmlrpc 2020-05-13 21:51:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.